module Misfortune
  module CLI
    class CreditsCommand
      attr_reader :options

      def initialize(options)
        @options = options
      end

      def run
        puts <<-EOF.strip_heredoc
          Original essay: unmaintainable code (http://mindprod.com/jgloss/unmain.html) by Roedy Green
        EOF
        puts <<-EOF.strip_heredoc
          Markdown adaptation: How To Write Unmaintainable Code (https://github.com/Droogans/unmaintainable-code) by Andrew Yurisich
        EOF
        puts <<-EOF.strip_heredoc
          Source code: misfortune (https://github.com/nbekirov/misfortune) by Nikolay Bekirov
        EOF
      end
    end
  end
end
