module Misfortune
  module CLI
    class RandomCommand
      attr_reader :options

      def initialize(options)
        @options = options
      end

      def run
        cookie = CookieJar.new(options['source']).cookies.sample
        flavor = Flavor.new(options[:flavor])

        puts flavor.apply_to(cookie)
      end
    end
  end
end
